Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all themes and other packages

From: Eli Zaretskii <[email-masked]>
Date: Thu, 12 Dec 2019 06:36:29 +0200

> From: Juri Linkov <[email-masked]>
> Cc: Dmitry Gutov <[email-masked]>,  [email-masked]
> Date: Thu, 12 Dec 2019 01:02:42 +0200
> 
> 0. emacs -Q
> 1. Eval: (progn (load-library "ldap") (customize-variable 'ldap-host-parameters-alist))
> 2. Click the button "INS".
> 3. Where are the input fields?  I don't see any.  Are they lost?
>    These fields were visible in the previous version.
>    Ah, this is the :extend fallout in action.
> 
> That means this patch is in order:

Thanks, please install.

> I wonder how many similar fields shrunk to the size of the cursor
> still exist.  Maybe web forms in eww?

I also wonder.  Patches to fix any breakage are welcome.